<?php

/*

insert_rss function to add artiss social bookmarks to rss feed, see also loop-single.php and http://www.artiss.co.uk/social-bookmarks
I reduced the bookmarks to fewer ones, just because I like it. You can do whatever you like ;)

twentyten_posted_on overridden for coauthors plus support, internationalization not prepared, all German. Sorry folks.
see more info on coauthors plus here: http://vip.wordpress.com/documentation/incorporate-co-authors-plus-template-tags-into-your-theme/
The code here is responsible for naming the authors including links above the respective articles, whether on the front page or on the single article pages.

*/
if ( ! function_exists( 'twentyten_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and authors.
 *
 * @since Twenty Ten 1.0
 */
function twentyten_posted_on() {
    
    
    
    if ( function_exists( 'coauthors_posts_links' ) ) {
        
        
        
        printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'twentyten' ),
    	'meta-prep meta-prep-author',
		sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
			get_permalink(),
			esc_attr( get_the_time() ),
			get_the_date()
		),
		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
            get_author_posts_url( get_the_author_meta( 'ID' ) ),
    		esc_attr( sprintf( __( 'View all posts by %s', 'twentyten' ), get_the_author() ) ),
            coauthors_posts_links(',','und ', '', '', true)
		)
        );   
        
    } else {
    printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'twentyten' ),
		'meta-prep meta-prep-author',
		sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
			get_permalink(),
			esc_attr( get_the_time() ),
			get_the_date()
		),
		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
            get_author_posts_url( get_the_author_meta( 'ID' ) ),
			esc_attr( sprintf( __( 'View all posts by %s', 'twentyten' ), get_the_author() ) ),
			get_the_author()
		)
	);
    }
}
endif;


function insert_rss( $content ) {
    if ( ( is_feed() ) && ( function_exists ( 'social_bookmarks' ) ) ) {
        $content = $content . '<p>' . social_bookmarks( 'default=off&delicious=on&digg=on&blogger=on&cosmiq=on&diaspora=on&facebook=on&googleplus=on&identica=on&jappy=on&linkedin=on&meinvz=on&myspace=on&pinterest=on&posterous=on&reddit=on&scoopit=on&soupio=on&studivz=on&tumblr=on&twitter=on&wordpress=on&xing=on&email=on&gmail=on&googletranslate=on&hootsuite=on' ) . '</p>';
    }
    return $content;
}
add_filter( 'the_content', 'insert_rss' );







?>